package com.xwd.hospital.server.dto;

import com.xwd.hospital.server.domain.DoctorServiceInfo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class DoctorInfoDto {
    private Long doctorId;
    private String doctorName;
    private String hospitalName;
    private String departmentName;
    private String expertiseArea;
    private String introduction;
    private String title;
    private String avatar;
    private int orderCount;
    private int fansCount;
    private List<DoctorServiceInfo> doctorServiceInfoList;
}
