/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：订单表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.repository;

import java.io.Serializable;
import java.util.List;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.xwd.hospital.server.dto.OrderDto;
import org.springframework.stereotype.Repository;
import org.apache.ibatis.annotations.Param;
import com.xwd.hospital.server.domain.Order;
import com.xwd.hospital.server.repository.base.OrderBaseMapper;

@Repository
public interface OrderMapper extends OrderBaseMapper {

    List<OrderDto> queryOrderListForMiniApp(@Param("userInfoId")Long userInfoId, @Param("state")String state);
}
